Retail Express API 2.1

Gets specific Order Payment

Gets specific Order Payment

get
https://api.retailexpress.com.au/v2/orderpayments/{id}

Path Parameters

idinteger(int32)required

Payment id

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns found Order Payment

ExtendedOrderPayment

Order Payment Model

* Additional properties are NOT allowed.
idinteger(int32)

Order Payment Id .

external_idstring | null

External Id.

payment_methodobject

Payment Method Model

* Additional properties are NOT allowed.
Show Child Parameters
amountnumber(double)

Amount.

created_onstring(date-time)

Created On.

order_idinteger(int32)

Order Id .

order_numberstring | null

Order Number.

get/orderpayments/{id}
 
application/json

orders

Searches Order Fulfilments by parameters

Searches Order Fulfilments by parameters

get
https://api.retailexpress.com.au/v2/orders/{id}/fulfilments

Query Parameters

created_sincestring | null(date-time)

Created since

page_numberinteger(int32)

Format - int32.

>= 1<= 100000

page_sizeinteger(int32)

Format - int32.

>= 1<= 2147483647

Path Parameters

idinteger(int32)required

Order id

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Paging Response with Order Fulfilments data

Fulfilment.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]

Fulfilment model

* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/orders/{id}/fulfilments
 
application/json

Gets specific Order Fulfilment

Gets specific Order Fulfilment

get
https://api.retailexpress.com.au/v2/orders/{id}/fulfilments/{fulfilment_id}

Path Parameters

idinteger(int32)required

Order id

fulfilment_idinteger(int32)required

Fulfilment id

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns found Order Fulfilment

Fulfilment

Fulfilment model

* Additional properties are NOT allowed.
idinteger(int32)

Fulfilment id

order_item_idinteger(int32)

Order Item Id

quantity_fulfiledinteger(int32)

Fulfiled quantity of products

fulfil_outletobject

Order Fulfilment Outlet Model

* Additional properties are NOT allowed.
Show Child Parameters
created_onstring(date-time)

Created On

get/orders/{id}/fulfilments/{fulfilment_id}
 
application/json

Searches Order Items by parameters

Searches Order Items by parameters

get
https://api.retailexpress.com.au/v2/orders/{id}/orderitems

Query Parameters

created_sincestring | null(date-time)

Created since

modified_sincestring | null(date-time)

Modified since

page_numberinteger(int32)

Format - int32.

>= 1<= 100000

page_sizeinteger(int32)

Format - int32.

>= 1<= 2147483647

Path Parameters

idinteger(int32)required

Order id

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Paging Response with Order Items data

OrderItem.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]

Order Item Model

* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/orders/{id}/orderitems
 
application/json